読者です 読者をやめる 読者になる 読者になる

うまいぼうぶろぐ

linuxとhttpdとperlのメモ

rvmを使ってfluent のinstall memo

RHEL

install rvm

prefix: /usr/local/rvm

# curl -L get.rvm.io | bash -s stable
install ruby 1.9.3
# ruby -v
ruby 1.8.7 (2011-06-30 patchlevel 352) [x86_64-linux]
# source /usr/local/rvm/scripts/rvm
# rvm install 1.9.3
#### make ruby-1.9.3 default
# rvm list
rvm rubies

   ruby-1.9.3-p194 [ x86_64 ]

# Default ruby not set. Try 'rvm alias create default <ruby>'.

# => - current
# =* - current && default
#  * - default
# rvm --default 1.9.3
# rvm list

rvm rubies

=* ruby-1.9.3-p194 [ x86_64 ]

# => - current
# =* - current && default
#  * - default
# ruby -v
ruby 1.9.3p194 (2012-04-20 revision 35410) [x86_64-linux]

install fluentd

# gem install fluentd
install plugin

growthforecastと連携させたいのでpluginをinstall。

# gem install fluent-plugin-sampling-filter
# gem install fluent-plugin-datacounter
# gem install fluent-plugin-flowcounter
# gem install fluent-plugin-growthforecast

setup fluentd

# fluentd -s
Installed /etc/fluent/fluent.conf.